Subject: Re: bug#10808: gnus-summary-cancel-article does not check from-address of current group

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 03 Feb 2014 14:10:00 -0800

Peter Münster <[email-masked]> writes:

> Perhaps you're right, I don't know. I can just tell you, that the
> `setq user-mail-address' evaluates to "[email-masked]" (shown by
> edebug) and inside the `message-cancel-news' function, the value is
> "[email-masked]" (I've inserted a "(message user-mail-address)" at the
> beginning of the function.).

I tried that, too, and the `message' reported what the `setq' had done
in `gnus-summary-cancel-article'.  So I'm unable to reproduce this bug.

Are you sure you're not picking up old parts of Gnus from somewhere?
`M-x list-load-path-shadows' should be able to tell you.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/